package com.ghy.payment.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ghy.common.adapay.model.Event;
import com.ghy.payment.service.CallBackService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 退款回调
 *
 * @author HH 2022/5/30
 */
@Service("refundCallbackService")
public class RefundCallbackService implements CallBackService {

    private static final Logger logger = LoggerFactory.getLogger(RefundCallbackService.class);

    @Override
    public void onCallback(Event event) {
        logger.debug("退款 callback: {}", event.toString());
    }

    @Override
    public void onResponse(JSONObject response) {
        logger.debug("退款 Response: {}", response.toString());
    }

}
